## python-pycddl 0.6.4+ds

=== Makefile ===
.PHONY: build

build:
	pip install .

test: build
	pytest

## python-pycddl 0.6.3+ds

=== debian/changelog ===
python-pycddl (0.6.3+ds-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 00:14:09 +0000

python-pycddl (0.6.3+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1068692)

 -- Andrius Merkys <merkys@debian.org>  Tue, 22 Oct 2024 06:37:00 -0400

=== debian/control ===
Source: python-pycddl
Section: utils
Priority: optional
Maintainer: Andrius Merkys <merkys@debian.org>
Rules-Requires-Root: no
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 dh-sequence-python3,
 librust-cddl-dev,
 librust-ciborium-dev,
 librust-pyo3-dev,
 librust-self-cell-dev,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cbor2 <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-maturin,
 python3-psutil <!nocheck>,
 python3-pytest <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://gitlab.com/tahoe-lafs/pycddl
Vcs-Browser: https://salsa.debian.org/debian/python-pycddl
Vcs-Git: https://salsa.debian.org/debian/python-pycddl.git

Package: python3-pycddl
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Deserialize CBOR and/or do CDDL schema validation
 CDDL is a schema language for the CBOR serialization format. pycddl allows one
 to validate CBOR documents match a particular CDDL schema, based on the Rust
 cddl library. Optionally, it can decode CBOR documents.

## python-pycddl 0.6.4%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-pycddl
 Section: utils
-Priority: optional
-Maintainer: Andrius Merkys <merkys@debian.org>
-Rules-Requires-Root: no
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Andrius Merkys <merkys@debian.org>,
 Build-Depends:
  cargo,
  debhelper-compat (= 13),
  dh-sequence-python3,
  librust-cddl-dev,
  librust-ciborium-dev,
- librust-pyo3-dev,
+ librust-pyo3-dev (>= 0.26),
+ librust-pyo3-dev (<< 0.28),
  librust-self-cell-dev,
  pybuild-plugin-pyproject,
  python3-all,
@@ -19,10 +20,10 @@
  python3-psutil <!nocheck>,
  python3-pytest <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/tahoe-lafs/pycddl
-Vcs-Browser: https://salsa.debian.org/debian/python-pycddl
-Vcs-Git: https://salsa.debian.org/debian/python-pycddl.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pycddl
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pycddl.git
 
 Package: python3-pycddl
 Architecture: any

## python-pycddl 0.6.4+ds

=== debian/changelog ===
python-pycddl (0.6.4+ds-2) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Patch for pyo3 0.26. Closes: #1114321.

  [ Santiago Vila ]
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Fri, 07 Nov 2025 22:55:00 +0100

python-pycddl (0.6.4+ds-1) unstable; urgency=medium

  * New upstream version 0.6.4+ds
  * Update Vcs-* tags.
  * Move to Debian Python Team.

 -- Andrius Merkys <merkys@debian.org>  Fri, 13 Jun 2025 03:45:04 -0400

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
  dh-sequence-python3,
  librust-cddl-dev,
  librust-ciborium-dev,
- librust-pyo3-dev (>= 0.26),
- librust-pyo3-dev (<< 0.28),
+ librust-pyo3-dev,
  librust-self-cell-dev,
  pybuild-plugin-pyproject,
  python3-all,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pycddl
export PYBUILD_TEST_ARGS = -k 'not test_benchmarks and not test_memory_usage'

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/rustc/architecture.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE

export CARGO = /usr/share/cargo/bin/cargo
export CARGO_HOME = $(CURDIR)/debian/cargo_home
export DEB_CARGO_CRATE = $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem pybuild

execute_before_dh_auto_configure:
	cp debian/cargo_home/config.toml debian/cargo_home_config.toml.saved
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system
	rm -f Cargo.lock

execute_after_dh_clean:
	rm -rf debian/cargo_registry target
